
Name:      qubes-mgmt-salt-dom0-qvm
Version:   4.1.2
Release:   1%{?dist}
Summary:   Salt formula to interface to many of the Qubes dom0 qvm-* tools via a state file or module
License:   GPL 2.0
URL:	   http://www.qubes-os.org/

Group:     System administration tools
BuildArch: noarch
Requires:  qubes-mgmt-salt
Requires:  qubes-mgmt-salt-dom0
Requires:  python3-qubesadmin


Source0: %{name}-%{version}.tar.gz

%description
Salt formula to interface to many of the Qubes dom0 qvm-* tools via a state file or module

%prep
%setup -q

%build

%install
make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} SBINDIR=%{_sbindir} SYSCONFDIR=%{_sysconfdir}

%post
# Update Salt Configuration
qubesctl saltutil.clear_cache -l quiet --out quiet > /dev/null || true
qubesctl saltutil.sync_all refresh=true -l quiet --out quiet > /dev/null || true

# Enable Test States
#qubesctl top.enable qvm saltenv=test -l quiet --out quiet > /dev/null || true

%files
%defattr(-,root,root)
%doc LICENSE README.rst
%attr(750, root, root) %dir /srv/salt/_modules
/srv/salt/_modules/ext_module_qvm.py*

%attr(750, root, root) %dir /srv/salt/_states
/srv/salt/_states/ext_state_qvm.py*

%attr(750, root, root) %dir /srv/formulas/test/qvm-formula
/srv/formulas/test/qvm-formula/LICENSE
/srv/formulas/test/qvm-formula/README.rst
/srv/formulas/test/qvm-formula/qvm/tests-salt-call
/srv/formulas/test/qvm-formula/qvm/init.sls
/srv/formulas/test/qvm-formula/qvm/init.top

%changelog
* Mon May 25 2020 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-mgmt-salt-dom0-qvm

* Mon May 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0bfcd19
- version 4.1.2

* Sat Jan 11 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3995cd1
- travis: switch to dom0 Fedora 31

* Mon Jan 06 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2ae863e
- version 4.1.1

* Sun Dec 15 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3bc4a1d
- spec: require python3-qubesadmin

* Tue Nov 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 07c7399
- Add audiovm option

* Wed Nov 13 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8470386
- version 4.1.0

* Fri Nov 08 2019 Hans Jerry Illikainen <hji@dyntopia.com> - 768e52c
- qvm.firewall: add interface for firewall rules

* Wed Nov 06 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 6adfabf
- Add guivm prefs

* Sat Oct 19 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 82bdb16
- travis: switch to bionic

* Tue Sep 10 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 44e36a1
- version 4.0.10

* Thu Aug 15 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0986bf9
- devices: don't fail if already attached

* Thu Aug 15 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 845982e
- Fixes from Marek's comments

* Tue Jul 16 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 0a1163e
- qvm.devices: detach if all options are not the same

* Tue Jul 16 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - e350251
- qvm.devices: handle 'attach' and 'detach' exceptions

* Sun Jul 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 7ec0e66
- qvm.devices: notify when device is already detached

* Sun Jul 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 11153e6
- qvm.devices: don't default to 'no-strict-reset'

* Sun Jul 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 91ddfc0
- qvm.devices: handle case where provided device is badly formatted

* Sun Jul 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 64809ae
- qvm.devices: add all supported Qubes devices

* Sun Jul 14 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c9a6e6c
- Implement qvm.devices

* Sat Jul 13 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 5b8b9b9
- refactor: change single quote to double for docstring

* Tue Jun 25 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e3c2c96
- version 4.0.9

* Mon Jun 10 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - aefb54f
- Minimal code for handling qvm-features --set

* Mon Jun 03 2019 Malte Leip <malte@leip.net> - 66559ac
- qvm.create: class opt precedence like qvm-create

* Sat Jun 01 2019 Malte Leip <malte@leip.net> - 1e39421
- qvm.remove: fix hanging due to missing --force

* Sat Jun 01 2019 Malte Leip <malte@leip.net> - c3f8997
- qvm.create: add class argument

* Sat Jun 01 2019 Malte Leip <malte@leip.net> - ab99b84
- qvm.prefs: remove old comment from Qubes R3.0

* Sat Jun 01 2019 Malte Leip <malte@leip.net> - d2dd5fb
- qvm.prefs: drop deprecated 'internal' and 'type'

* Thu May 16 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6201eae
- version 4.0.8

* Sun May 12 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 22286c4
- qvm.start: drop 'no-guid' 'tray' and 'dvm' flags as it does not exist anymore in qvm-start

* Tue Apr 16 2019 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - b561c3d
- Handle ip preference

* Tue Mar 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 98d931f
- version 4.0.7

* Tue Mar 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f96638d
- travis: add R4.1

* Tue Mar 19 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 3216c6d
- qvm.prefs: do not treat None as "default"

* Tue Apr 03 2018 Frédéric Pierret <frederic.epitre@orange.fr> - d3d9246
- spec.in: add changelog placeholder

* Sun Mar 18 2018 Frédéric Pierret <frederic.epitre@orange.fr> - 42c55f6
- Create .spec.in and Source0

* Sat Dec 23 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4e9a0dc
- version 4.0.6

* Fri Dec 22 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 00e277d
- Add alias for tags add/del actions: present/absent

* Fri Oct 20 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 43db0c3
- version 4.0.5

* Fri Oct 20 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6a948c8
- Fix handling property default value in qvm.prefs

* Sun Oct 08 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 81f94a2
- version 4.0.4

* Fri Sep 29 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 088b22b
- Update qvm.create module for Qubes 4.0

* Thu Sep 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cb408e6
- version 4.0.3

* Thu Sep 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0934e16
- Add 'default-dispvm' property support to qvm.prefs.

* Thu Sep 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e9ae760
- Rename 'dispvm-allowed' to 'template-for-dispvms'

* Thu Sep 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 28e8540
- Add support for managing tags

* Thu Sep 14 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 14a98e0
- qvm.features: fix changes reporting.

* Fri Aug 11 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5f60998
- version 4.0.2

* Wed Aug 09 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f5fa76
- qvm.features: fixe reporting lack of old value

* Wed Aug 09 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9ba613
- Add dispvm_allowed property support

* Tue Jul 18 2017 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a30564d
- version 4.0.1

